# OnLineWillDismiss()

Method in [ActionMarkupHandler](/api/csharp/yarn.unity/yarn.unity.actionmarkuphandler.md)

## Summary

Called right before the line will dismiss itself.

```csharp
public abstract void OnLineWillDismiss();
```

## Remarks

This does not mean that the entirety of the view itself will have been removed, just the [DialoguePresenterBase](/api/csharp/yarn.unity/yarn.unity.dialoguepresenterbase.md) has completed displaying everything and is returning control back to the [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to let more content flow.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.actionmarkuphandler/yarn.unity.actionmarkuphandler.onlinewilldismiss.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
